'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var _JSON$stringify = _interopDefault(require('@babel/runtime-corejs3/core-js-stable/json/stringify'));
var _slicedToArray = _interopDefault(require('@babel/runtime-corejs3/helpers/esm/slicedToArray'));
var _Object$entries = _interopDefault(require('@babel/runtime-corejs3/core-js-stable/object/entries'));
var _forEachInstanceProperty = _interopDefault(require('@babel/runtime-corejs3/core-js-stable/instance/for-each'));

/**
 * Express middleware
 * @param  config - i18n-node config
 * @return Express middleware function.
 */
function i18nForBrowser(config) {
  var configForBrowser = {
    locales: {},
    fallbacks: config.fallbacks,
    cookieName: config.cookie,
    queryParameter: config.queryParameter,
    objectNotation: Boolean(config.objectNotation)
  };
  return function (request, response, next) {
    response.locals.initI18nForBrowser = function () {
      var _context;

      var targetLocale = request.locale;
      var targetCatalog = {};
      request.locale = false;
      var fullCatalog = request.getCatalog();
      request.locale = targetLocale;

      _forEachInstanceProperty(_context = _Object$entries(fullCatalog)).call(_context, function (_ref) {
        var _ref2 = _slicedToArray(_ref, 2),
            locale = _ref2[0],
            catalog = _ref2[1];

        targetCatalog[locale] = locale === targetLocale ? catalog : {};
      });

      configForBrowser.defaultLocale = targetLocale;
      configForBrowser.locales = targetCatalog;
      return "<script>var I18N = ".concat(_JSON$stringify(configForBrowser), ";</script>");
    };

    next();
  };
}

module.exports = i18nForBrowser;
//# sourceMappingURL=data:application/json;charset=utf-8;base64,eyJ2ZXJzaW9uIjozLCJmaWxlIjoibWlkZGxld2FyZS5qcyIsInNvdXJjZXMiOltdLCJzb3VyY2VzQ29udGVudCI6W10sIm5hbWVzIjpbXSwibWFwcGluZ3MiOiI7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7OzsifQ==
